curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId} \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body{
"activatedDate": 1651180416000,
"attributes": {
"paymentProviderSubscriptions": [
{
"id": 1,
"providerSubscriptionId": "f2369f70b673eb71ae2e44438c675ab4a090ccbf",
"internalProviderSubscriptionId": "HBOMax_77799990278191",
"productId": "HBOMax",
"subscriptionStartDate": 1629849600000,
"subscriptionEndDate": 1629849600000,
"productDescription": "HBO Max",
"billingState": "FREE_TRIAL",
"subscriptionStatus": "ACTIVE",
"nextSubscriptionBillingDate": 1629849600000,
"nextSubscriptionPrice": 1,
"nextSubscriptionCurrency": "MXN",
"subscriptionPrice": 1,
"subscriptionCurrency": "MXN",
"purchaseSource": "PUSH_NOTIFICATION",
"serviceType": "RECURRING",
"additionalFields": {},
"plmCode": "hbomax.dcb.standard",
"entitledThrough": 1629849600000,
"paymentMethod": {
"paymentMethodId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodVid": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodName": "Postpaid",
"paymentTypeName": "Postpaid",
"active": true,
"primary": true,
"status": "ACTIVE",
"additionalFields": {},
"billingAccountNumber": "2293912935",
"cardNumber": "40345334878402386634",
"expirationMonth": "2028",
"expirationYear": "11",
"classType": "com.uxpsystems.mint.attributes.MerchantAcceptedPayment",
"id": 1
}
}
]
},
"createdDate": 1651180416000,
"deactivatedDate": 1651180416000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"suspendedDate": 1651180416000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1651180416000
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "subscription-not-found",
"message": "com.uxpsystems.mint.framework.subscription.model.GenericSubscription[id:1]"
}
]
}Retrieve a subscription using the subscription ID
Retrieves the Connect subscription specified by the subscriptionId number. If the subscription contains any ULM features, then those entities (including their own properties and attributes) are also returned in the response.
curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId} \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body{
"activatedDate": 1651180416000,
"attributes": {
"paymentProviderSubscriptions": [
{
"id": 1,
"providerSubscriptionId": "f2369f70b673eb71ae2e44438c675ab4a090ccbf",
"internalProviderSubscriptionId": "HBOMax_77799990278191",
"productId": "HBOMax",
"subscriptionStartDate": 1629849600000,
"subscriptionEndDate": 1629849600000,
"productDescription": "HBO Max",
"billingState": "FREE_TRIAL",
"subscriptionStatus": "ACTIVE",
"nextSubscriptionBillingDate": 1629849600000,
"nextSubscriptionPrice": 1,
"nextSubscriptionCurrency": "MXN",
"subscriptionPrice": 1,
"subscriptionCurrency": "MXN",
"purchaseSource": "PUSH_NOTIFICATION",
"serviceType": "RECURRING",
"additionalFields": {},
"plmCode": "hbomax.dcb.standard",
"entitledThrough": 1629849600000,
"paymentMethod": {
"paymentMethodId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodVid": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodName": "Postpaid",
"paymentTypeName": "Postpaid",
"active": true,
"primary": true,
"status": "ACTIVE",
"additionalFields": {},
"billingAccountNumber": "2293912935",
"cardNumber": "40345334878402386634",
"expirationMonth": "2028",
"expirationYear": "11",
"classType": "com.uxpsystems.mint.attributes.MerchantAcceptedPayment",
"id": 1
}
}
]
},
"createdDate": 1651180416000,
"deactivatedDate": 1651180416000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"suspendedDate": 1651180416000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1651180416000
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "subscription-not-found",
"message": "com.uxpsystems.mint.framework.subscription.model.GenericSubscription[id:1]"
}
]
}Authorizations
Path Parameters
The unique ID number of the subscription Example: 202
Response
OK
The data fields that define a ULM subscription.
The entity’s activation date and time, expressed in UNIX Epoch time
1651180416000
Subscription attributes Dto
Show child attributes
Show child attributes
The entity’s creation date and time in UNIX Epoch time
1651180416000
The entity’s deactivation date and time, expressed in UNIX Epoch time
1651180416000
The display name of the entity
"Entity display name"
The unique ID of an entity.
1
The status of the entity. Possible values include:
- activating - The entity has been provisioned, but is not yet ready to be used or consumed.
- activated - The entity is active, and the functionality to which it is tied is enabled.
- suspended - The entity is temporarily deactivated, but can be reactivated in the future.
- deactivated - The entity is permanently deactivated, and may be deleted from the system in the near future.
- pending - The entity has been added but is not yet verified for use. It may be linked to an existing entity in order to eventually replace the original entity.
- unknown - This is a generic, catch all state for specific entities.
Note: This field is the current status in GET calls, and the desired status in PUT and POST calls.
activating, activated, suspended, deactivated, pending, unknown "activated"
The entity’s suspension date and time, expressed in UNIX Epoch time
1651180416000
A particular type of a given entity.
"com.uxpsystems.ulm.entity.RegularEntityType"
The most recent date and time that the entity was updated, expressed in UNIX Epoch time
1651180416000

